.TH cvm-pwfile 8
.SH NAME
cvm-pwfile \- POSIX-style passwd file module
.SH SYNOPSIS
cvm-pwfile
.SH CREDENTIALS
Pass phrase
.SH DESCRIPTION
This module loads entries from an alternate password file using the
.BR fgetpwent (3)
API, which requires the file to be formatted the
same as the UNIX
.I /etc/passwd
file.
No group name lookups are done.
.SH CONFIGURATION VARIABLES
.TP
.B CVM_PWFILE_PATH
the path to the passwd file containing the credential information.
.TP
.B CVM_PWFILE_PWCMP \fR(optional)
The
.I password comparison module
to use.
If it is not set, the default password comparison mode is plain-text.
To use UNIX crypt style passwords, like
.I /etc/passwd
does, set this to "crypt".
.SH SEE ALSO
cvm-qmail(8),
cvm-unix(8),
cvm-sql(8),
cvm-vmailmgr(8),
cvm-benchclient(8),
cvm-checkpassword(8),
cvm-testclient(8)

 http://untroubled.org/pwcmp/pwcmp.html
 http://untroubled.org/cvm/cvm.html
